## ⭐️ Recruiting Contributors
Because of some irresistible factors, our current contributor team will be forced out in future 3 months, the [Openkraken TSC](https://github.com/openkraken/TSC) has arranged a meeting to discuss about that. Now we hope to recruit community developers to continuously maintain the project. The current pending PR will be finished soon, and features in ROADMAP will be suspensed until we have a new contributor (or team). 

The openkraken TSC will continue existence and try to governance project ensure its' continued development.

If you are willing, you can contact the TSC members' mail listed at [Openkraken TSC](https://github.com/openkraken/TSC) or sign up in this [issue](https://github.com/openkraken/TSC/issues/47).

## ⭐️ 招募贡献者
由于一些不可抗拒的因素，我们目前的贡献者团队将被迫在未来 3 个月内退出，[Openkraken TSC (OpenKraken 项目技术指导委员会)](https://github.com/openkraken/TSC) 已经安排了一个会议讨论这个问题。 现在我们希望招募社区开发者来持续维护项目。 贡献者团队会确保当前待定的 PR 完成，但是 ROADMAP 中的新功能将暂停，直到我们找到新的贡献者（或团队）。

Openkraken TSC 团队将继续存在并确保本项目持续发展。

如果您有意愿维护，可以发送邮件联系 [Openkraken TSC](https://github.com/openkraken/TSC) 中列出的成员，或在此 [issue](https://github.com/openkraken/TSC/issues/47) 中报名。

--- 

![kraken Post](https://user-images.githubusercontent.com/677114/101163298-6264ae80-366e-11eb-9151-f560d18c2ceb.png)

# [Kraken](https://openkraken.com/) [![pub package](https://img.shields.io/pub/v/kraken.svg)](https://pub.dev/packages/kraken) [![Integration Test WorkFlow](https://github.com/openkraken/kraken/actions/workflows/integration_test.yml/badge.svg?branch=main)](https://github.com/openkraken/kraken/actions/workflows/integration_test.yml)

## 💁 Have a try

1. Install Kraken CLI (macOS, Linux only currently)

    ```shell
    $ npm i @openkraken/cli -g
    ```

2. Open with kraken

    ```shell
    $ kraken run https://raw.githubusercontent.com/openkraken/kraken/master/kraken/example/assets/bundle.js
    ```

## 💌 Why kraken

* Quick development 🎉

  Compatibility with web standards means you don't have to change your stack.
  ```js
  const text = document.createTextNode('Hello World!');
  document.body.appendChild(text);
  ```

* Cross platform ⚛️

  [Seamless integration with Flutter](https://pub.dev/packages/kraken), supports web, mobile (iOS, Android) and desktop (MacOS, Linux, Windows).

* Fast performance 🚀

  Provide native-like performance such as navigation, animation and infinite list scrolling.

## Flutter version scope

Only flutter stable released version are fully tested.

| Kraken  | Flutter |
| ------------- | ------------- |
| >= 0.7.0 < 0.8.0 | 1.22.0 ~ 1.22.6 |
| >= 0.8.0 < 0.10.0  | 2.2.0 ~ 2.2.3 |
| >= 0.10.0 < 0.11.0 | 2.5.0 ~ 2.5.3 |
| >= 0.11.0 | 2.8.0 ~ 2.8.1 |


## 👏 Contributing [![PRs Welcome](https://img.shields.io/badge/PRs-welcome-brightgreen.svg?style=flat-square)](https://makeapullrequest.com)

By contributing to Kraken, you agree that your contributions will be licensed under its Apache-2.0 License.

Read our [contributing guide](https://github.com/openkraken/kraken/blob/main/.github/CONTRIBUTING.md) and let's build a better kraken project together.

Thank you to all the people who already contributed to Kraken!

![CONTRIBUTORS](https://kraken.oss-cn-hangzhou.aliyuncs.com/CONTRIBUTORS.svg)

Copyright (c) 2019-present, The Kraken authors.

